org.apache.catalina.startup

## Class WebAnnotationSet

- java.lang.Object
- - org.apache.catalina.startup.WebAnnotationSet

    public class WebAnnotationSet
    extends Object

AnnotationSet for processing the annotations of the web application classes (`/WEB-INF/classes` and `/WEB-INF/lib`).

Author:
  Fabien Carrion

### Field Summary

Fields
`protected static StringManager` `sm` The string resources for this package.

### Constructor Summary

Constructors
Constructor and Description
`WebAnnotationSet()`

### Method Summary

Methods
`protected static void` `addResource(Context context, Resource annotation)` Process a Resource annotation to set up a Resource.
`protected static void` `addResource(Context context, Resource annotation, String defaultName, Class<?> defaultType)`
`static void` `loadApplicationAnnotations(Context context)` Process the annotations on a context.
`protected static void` `loadApplicationFilterAnnotations(Context context)` Process the annotations for the filters.
`protected static void` `loadApplicationListenerAnnotations(Context context)` Process the annotations for the listeners.
`protected static void` `loadApplicationServletAnnotations(Context context)` Process the annotations for the servlets.
`protected static void` `loadClassAnnotation(Context context, Class<?> classClass)` Process the annotations on a context for a given className.
`protected static void` `loadFieldsAnnotation(Context context, Class<?> classClass)`
`protected static void` `loadMethodsAnnotation(Context context, Class<?> classClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

The string resources for this package.

### Constructor Detail

#### WebAnnotationSet

    public WebAnnotationSet()

### Method Detail

#### loadApplicationAnnotations

    public static void loadApplicationAnnotations(Context context)

Process the annotations on a context.

#### loadApplicationListenerAnnotations

    protected static void loadApplicationListenerAnnotations(Context context)

Process the annotations for the listeners.

#### loadApplicationFilterAnnotations

    protected static void loadApplicationFilterAnnotations(Context context)

Process the annotations for the filters.

#### loadApplicationServletAnnotations

    protected static void loadApplicationServletAnnotations(Context context)

Process the annotations for the servlets.

#### loadClassAnnotation

    protected static void loadClassAnnotation(Context context,
                           Class<?> classClass)

Process the annotations on a context for a given className.

#### loadFieldsAnnotation

    protected static void loadFieldsAnnotation(Context context,
                            Class<?> classClass)

#### loadMethodsAnnotation

    protected static void loadMethodsAnnotation(Context context,
                             Class<?> classClass)

#### addResource

    protected static void addResource(Context context,
                   Resource annotation)

Process a Resource annotation to set up a Resource. Ref JSR 250, equivalent to the resource-ref, message-destination-ref, env-ref, resource-env-ref or service-ref element in the deployment descriptor.

#### addResource

    protected static void addResource(Context context,
                   Resource annotation,
                   String defaultName,
                   Class<?> defaultType)